%define modname haru
%define soname %{modname}.so
%define inifile A66_%{modname}.ini

Summary:	Haru PDF functions
Name:		php-%{modname}
Version:	1.0.4
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/haru
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		php-haru-badsearch.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file
BuildRequires:	libharu-devel

%description
PHP interface to Haru Free PDF Library for creating PDF documents.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p0

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS haru.php package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 1.0.4-3.mga3
+ Revision: 393270
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 375805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 oden <oden> 1.0.4-1.mga3
+ Revision: 334709
- 1.0.4

* Wed Nov 28 2012 fwang <fwang> 1.0.3-2.mga3
+ Revision: 322519
- rebuild for new libharu

* Sun Jul 29 2012 spuhler <spuhler> 1.0.3-1.mga3
+ Revision: 275619
- upgrade to 1.0.3

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.0-17.mga2
+ Revision: 223901
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1.0.0-16.mga2
+ Revision: 185275
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1.0.0-15.mga1
+ Revision: 47965
- removed buildroot definition from .spec
- imported package php-haru

